## robocode.robotinterfaces
Interface IInteractiveEvents

All Known Implementing Classes:
  _AdvancedRadiansRobot, _AdvancedRobot, AdvancedRobot, Robot, TeamRobot

    public interface IInteractiveEvents

An event interface for receiving interactive events with an `IInteractiveRobot`.

Since:
  1.6
Author:
  Pavel Savara (original), Flemming N. Larsen (javadoc)
See Also:
  `IInteractiveRobot`

Method Summary
`void` `onKeyPressed(KeyEvent event)` This method is called when a key has been pressed.
`void` `onKeyReleased(KeyEvent event)` This method is called when a key has been released.
`void` `onKeyTyped(KeyEvent event)` This method is called when a key has been typed (pressed and released).
`void` `onMouseClicked(MouseEvent event)` This method is called when a mouse button has been clicked (pressed and released).
`void` `onMouseDragged(MouseEvent event)` This method is called when a mouse button has been pressed and then dragged.
`void` `onMouseEntered(MouseEvent event)` This method is called when the mouse has entered the battle view.
`void` `onMouseExited(MouseEvent event)` This method is called when the mouse has exited the battle view.
`void` `onMouseMoved(MouseEvent event)` This method is called when the mouse has been moved.
`void` `onMousePressed(MouseEvent event)` This method is called when a mouse button has been pressed.
`void` `onMouseReleased(MouseEvent event)` This method is called when a mouse button has been released.
`void` `onMouseWheelMoved(MouseWheelEvent event)` This method is called when the mouse wheel has been rotated.

Method Detail

### onKeyPressed

    void onKeyPressed(KeyEvent event)

  This method is called when a key has been pressed.

  See the `sample.Interactive` robot for an example of how to use key events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `KeyListener.keyPressed(KeyEvent)`, `onKeyReleased(KeyEvent)`, `onKeyTyped(KeyEvent)`

### onKeyReleased

    void onKeyReleased(KeyEvent event)

  This method is called when a key has been released.

  See the `sample.Interactive` robot for an example of how to use key events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `KeyListener.keyReleased(KeyEvent)`, `onKeyPressed(KeyEvent)`, `onKeyTyped(KeyEvent)`

### onKeyTyped

    void onKeyTyped(KeyEvent event)

  This method is called when a key has been typed (pressed and released).

  See the `sample.Interactive` robot for an example of how to use key events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `KeyListener.keyTyped(KeyEvent)`, `onKeyPressed(KeyEvent)`, `onKeyReleased(KeyEvent)`

### onMouseClicked

    void onMouseClicked(MouseEvent event)

  This method is called when a mouse button has been clicked (pressed and released).

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseListener.mouseClicked(MouseEvent)`, `onMouseMoved(MouseEvent)`, `onMousePressed(MouseEvent)`, `onMouseReleased(MouseEvent)`, `onMouseEntered(MouseEvent)`, `onMouseExited(MouseEvent)`, `onMouseDragged(MouseEvent)`, `onMouseWheelMoved(MouseWheelEvent)`

### onMouseEntered

    void onMouseEntered(MouseEvent event)

  This method is called when the mouse has entered the battle view.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseListener.mouseEntered(MouseEvent)`, `onMouseMoved(MouseEvent)`, `onMousePressed(MouseEvent)`, `onMouseReleased(MouseEvent)`, `onMouseClicked(MouseEvent)`, `onMouseExited(MouseEvent)`, `onMouseDragged(MouseEvent)`, `onMouseWheelMoved(MouseWheelEvent)`

### onMouseExited

    void onMouseExited(MouseEvent event)

  This method is called when the mouse has exited the battle view.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseListener.mouseExited(MouseEvent)`, `onMouseMoved(MouseEvent)`, `onMousePressed(MouseEvent)`, `onMouseReleased(MouseEvent)`, `onMouseClicked(MouseEvent)`, `onMouseEntered(MouseEvent)`, `onMouseDragged(MouseEvent)`, `onMouseWheelMoved(MouseWheelEvent)`

### onMousePressed

    void onMousePressed(MouseEvent event)

  This method is called when a mouse button has been pressed.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseListener.mousePressed(MouseEvent)`, `onMouseMoved(MouseEvent)`, `onMouseReleased(MouseEvent)`, `onMouseClicked(MouseEvent)`, `onMouseEntered(MouseEvent)`, `onMouseExited(MouseEvent)`, `onMouseDragged(MouseEvent)`, `onMouseWheelMoved(MouseWheelEvent)`

### onMouseReleased

    void onMouseReleased(MouseEvent event)

  This method is called when a mouse button has been released.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseListener.mouseReleased(MouseEvent)`, `onMouseMoved(MouseEvent)`, `onMousePressed(MouseEvent)`, `onMouseClicked(MouseEvent)`, `onMouseEntered(MouseEvent)`, `onMouseExited(MouseEvent)`, `onMouseDragged(MouseEvent)`, `onMouseWheelMoved(MouseWheelEvent)`

### onMouseMoved

    void onMouseMoved(MouseEvent event)

  This method is called when the mouse has been moved.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseMotionListener.mouseMoved(MouseEvent)`, `onMousePressed(MouseEvent)`, `onMouseReleased(MouseEvent)`, `onMouseClicked(MouseEvent)`, `onMouseEntered(MouseEvent)`, `onMouseExited(MouseEvent)`, `onMouseDragged(MouseEvent)`, `onMouseWheelMoved(MouseWheelEvent)`

### onMouseDragged

    void onMouseDragged(MouseEvent event)

  This method is called when a mouse button has been pressed and then dragged.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseMotionListener.mouseDragged(MouseEvent)`, `onMouseMoved(MouseEvent)`, `onMousePressed(MouseEvent)`, `onMouseReleased(MouseEvent)`, `onMouseClicked(MouseEvent)`, `onMouseEntered(MouseEvent)`, `onMouseExited(MouseEvent)`, `onMouseWheelMoved(MouseWheelEvent)`

### onMouseWheelMoved

    void onMouseWheelMoved(MouseWheelEvent event)

  This method is called when the mouse wheel has been rotated.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  See Also:
    `MouseWheelListener.mouseWheelMoved(MouseWheelEvent)`, `onMouseMoved(MouseEvent)`, `onMousePressed(MouseEvent)`, `onMouseReleased(MouseEvent)`, `onMouseClicked(MouseEvent)`, `onMouseEntered(MouseEvent)`, `onMouseExited(MouseEvent)`, `onMouseDragged(MouseEvent)`